Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile
Class ProfileNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.usermgmt.profile.ProfileNotFoundException

Direct Known Subclasses:
  SuccessorNotFoundException

public class ProfileNotFoundException
extends ApplicationException

Application exception to signify that a requested profile could not be found in the database.

See Also:
  Serialized Form

Constructor Summary
`ProfileNotFoundException()`
`ProfileNotFoundException(java.lang.String message)` Constructor
`ProfileNotFoundException(java.lang.String message, java.lang.Throwable t)` Constructor
`ProfileNotFoundException(java.lang.Throwable t)` Constructor

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProfileNotFoundException

    public ProfileNotFoundException()

### ProfileNotFoundException

    public ProfileNotFoundException(java.lang.String message)

  Constructor

  Parameters:
    `message` - String representing the Exception message

### ProfileNotFoundException

    public ProfileNotFoundException(java.lang.String message,
                                    java.lang.Throwable t)

  Constructor

  Parameters:
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### ProfileNotFoundException

    public ProfileNotFoundException(java.lang.Throwable t)

  Constructor

  Parameters:
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved